# Models

## The WebhookEndpoint object

```json
{"openapi":"3.1.0","info":{"title":"impact.com API - Webhook","version":"1.0.0"},"components":{"schemas":{"WebhookEndpoint":{"description":"An endpoint to receive events","properties":{"endpointUrl":{"type":"string","description":"The url of the endpoint that receives events."},"name":{"type":"string","description":"Optional name of the endpoint that receives events."},"source":{"type":"string","readOnly":true,"description":"How the subscription was created. Always `MANUAL` for subscriptions created via the API."},"webhookTypes":{"type":"array","description":"The event types this endpoint is subscribed to. `[\"*\"]` means all event types.","items":{"type":"string"}}}}}}}
```

## The Error object

```json
{"openapi":"3.1.0","info":{"title":"impact.com API - Webhook","version":"1.0.0"},"components":{"schemas":{"Error":{"properties":{"statusCode":{"description":"The HTTP status code of the error","type":"integer","format":"int32"},"message":{"description":"The human-readable description of what went wrong. Use this to help you debug.","type":"string"},"apiErrorCode":{"description":"A machine error code","type":"string"},"rsCode":{"description":"A secondary machine-readable error code.","type":"string","nullable":true}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/advocate-api-reference-v1/reference/webhook-overview/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
